boost::sort::detail::offset_char_less_than< Data_type, Get_char, Get_length > Struct Template Reference

`#include <string_sort.hpp>`

## Public Member Functions

| offset_char_less_than (size_t char_offset)
bool | operator() (const Data_type &x, const Data_type &y) const

## Public Attributes

size_t | fchar_offset
Get_char | getchar
Get_length | length

## Constructor & Destructor Documentation

template<class Data_type , class Get_char , class Get_length >

boost::sort::detail::offset_char_less_than< Data_type, Get_char, Get_length >::offset_char_less_than | ( | size_t | char_offset | ) |

inline

## Member Function Documentation

template<class Data_type , class Get_char , class Get_length >

bool boost::sort::detail::offset_char_less_than< Data_type, Get_char, Get_length >::operator() | ( | const Data_type & | x,
|  | const Data_type & | y
| ) |  | const

inline

## Member Data Documentation

template<class Data_type , class Get_char , class Get_length >

size_t boost::sort::detail::offset_char_less_than< Data_type, Get_char, Get_length >::fchar_offset

template<class Data_type , class Get_char , class Get_length >

Get_char boost::sort::detail::offset_char_less_than< Data_type, Get_char, Get_length >::getchar

template<class Data_type , class Get_char , class Get_length >

Get_length boost::sort::detail::offset_char_less_than< Data_type, Get_char, Get_length >::length

The documentation for this struct was generated from the following file:

- I:/modular-boost/libs/sort/include/boost/sort/spreadsort/detail/string_sort.hpp